package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterInflowEstimate;
import com.lightinit.hsdatashow.entity.StWaterInflowEstimateExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface StWaterInflowEstimateMapper {
    long countByExample(StWaterInflowEstimateExample example);

    int deleteByExample(StWaterInflowEstimateExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterInflowEstimate record);

    int insertSelective(StWaterInflowEstimate record);

    List<StWaterInflowEstimate> selectByExample(StWaterInflowEstimateExample example);

    StWaterInflowEstimate selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterInflowEstimate record, @Param("example") StWaterInflowEstimateExample example);

    int updateByExample(@Param("record") StWaterInflowEstimate record, @Param("example") StWaterInflowEstimateExample example);

    int updateByPrimaryKeySelective(StWaterInflowEstimate record);

    int updateByPrimaryKey(StWaterInflowEstimate record);
}